﻿@model ViewModels.Shop.DealDetailViewModel

@{
    ViewBag.Title = "جزئیات معامله";
}

<div class="row line-title-seperator" style="margin-top:0px">
    <div class="col-md-4">
        <hr class="line" />
    </div>
    <div class="col-md-4">
        <h4 class="title">درخواست فروش</h4>
    </div>
    <div class="col-md-4">
        <hr class="line" />
    </div>
</div>


@if (Model != null && Model.SaleRequestDeals != null && Model.SaleRequestDeals.Count > 0)
{
    <div class="row">
        <div class="col-lg-12">
            <table id="miyazaki" class="tbl-grid" style="width: 100%;">
                <thead>
                    <tr>
                        <th>
                            کد شناسایی درخواست فروش ارز
                        </th>
                        <th>
                            درخواست کننده فروش ارز
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.SaleRequestDeals.First().SaleRequest.Amount)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.SaleRequestDeals.First().SaleRequest.Price)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.SaleRequestDeals.First().SaleRequest.RequestStatusId)
                        </th>
                        <th>
                            تاریخ ثبت درخواست فروش ارز
                        </th>
                        <th>
                            کد شناسایی معامله
                        </th>
                        <th>
                            تاریخ انجام معامله
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model.SaleRequestDeals)
                    {
                        <tr>
                            <td>
                                @Html.DisplayFor(modelItem => item.SaleRequest.RowGuid)
                            </td>
                            <td>
                                <a style="color:#1388dd" href="/User/Detail/@item.SaleRequest.UserId">@item.SaleRequest.User.FullName (@item.SaleRequest.UserId)</a>
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.SaleRequest.Amount)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.SaleRequest.Price)
                            </td>
                            <td>
                                @Html.ShowRequestStatus(item.SaleRequest.RequestStatus)
                            </td>
                            <td>
                                @Html.ShowDateTime(item.SaleRequest.CreatedOn, ShamsiDateFormatType.ToPersianWithTime)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Deal.RowGuid)
                            </td>
                            <td>
                                @Html.ShowDateTime(item.Deal.CreatedOn, ShamsiDateFormatType.ToPersianWithTime)
                            </td>
                        </tr>
                    }
                </tbody>
            </table>

        </div>
    </div>
}
else
{
    <div class="alert alert-warning">موردی یافت نشد</div>
}


<!-- ////////  -->

<br /><br />


<div class="row line-title-seperator" style="margin-top:0px">
    <div class="col-md-4">
        <hr class="line" />
    </div>
    <div class="col-md-4">
        <h4 class="title">درخواست خرید</h4>
    </div>
    <div class="col-md-4">
        <hr class="line" />
    </div>
</div>

@if (Model != null && Model.BuyRequest != null)
{
    <div class="row">
        <div class="col-lg-12">
            <table id="miyazaki" class="tbl-grid" style="width: 100%;">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.BuyRequest.RowGuid)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.BuyRequest.UserId)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.BuyRequest.Amount)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.BuyRequest.Price)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.BuyRequest.RequestStatusId)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.BuyRequest.CreatedOn)
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => Model.BuyRequest.RowGuid)
                        </td>
                        <td>
                            <a style="color:#1388dd" href="/User/Detail/@Model.BuyRequest.UserId">@Model.BuyRequest.User.FullName (@Model.BuyRequest.UserId)</a>
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => Model.BuyRequest.Amount)
                        </td>
                        <td>
                            @Html.ShowNumberWithCommaSeperator(Model.BuyRequest.Price)
                        </td>
                        <td>
                            @Html.ShowRequestStatus(Model.BuyRequest.RequestStatus)
                        </td>
                        <td>
                            @Html.ShowDateTime(Model.BuyRequest.CreatedOn, ShamsiDateFormatType.ToPersianWithTime)
                        </td>
                    </tr>

                </tbody>
            </table>
        </div>
    </div>
}
else
{
    <div class="alert alert-warning">موردی یافت نشد</div>
}